Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.security.wsse
Interface Security

Deprecated. please use new WS Security API

    public interface Security

Field Summary
`static boolean` | `WSSE_VERBOSE` Deprecated.
`static String` | `WSSE_VERBOSE_PROP` Deprecated.

Method Summary
`weblogic.xml.security.encryption.EncryptedKey` | `addEncryption(Token token, EncryptionSpec spec)` Deprecated. Adds an encrypted key to the security token.
`weblogic.xml.security.encryption.EncryptedKey` | `addEncryption(X509Certificate cert, EncryptionSpec spec)` Deprecated. Adds an encrypted key to the security token.
`weblogic.xml.security.signature.Signature` | `addSignature(Token token, SignatureSpec spec)` Deprecated. Adds a XML Signature to the Security element.
`weblogic.xml.security.wsu.Timestamp` | `addTimestamp()` Deprecated. adds a timestamp to the security element, with the created time as the current time and no expiry
`weblogic.xml.security.wsu.Timestamp` | `addTimestamp(Calendar created)` Deprecated. adds a timestamp to the security element, using the provided time as the created time.
`weblogic.xml.security.wsu.Timestamp` | `addTimestamp(Calendar created, Calendar expires)` Deprecated. add a timestamp to the security element, using times provided as args.
`weblogic.xml.security.wsu.Timestamp` | `addTimestamp(long expires)` Deprecated. adds a timestamp to the security element, with the created time as the current time and an expiration 'expires' milliseconds in the future
`Token` | `addToken(Token token)` Deprecated. Adds a token to the Security element.
`Token` | `addToken(UserInfo user)` Deprecated. Adds a token for the username/password in the UserInfo.
`Token` | `addToken(X509Certificate cert, PrivateKey key)` Deprecated. Adds an X509certificate as a token in the Security element.
`boolean` | `expired()` Deprecated. returns true if any timestamp in the message has an Expires element whose time is in the past.
`boolean` | `expired(long maxAge)` Deprecated. returns trus if any timestamp in the message has a Created time older than the maxAge or an Expires element that has passed.
`String` | `getRole()` Deprecated. Returns the role for which this security element was targetted.
`Token` | `getTokenById(String id)` Deprecated. retrieves the token with the specified ID from the Security element.

Field Detail

### WSSE_VERBOSE_PROP

    static final String WSSE_VERBOSE_PROP

  Deprecated.
  See Also:
    Constant Field Values

### WSSE_VERBOSE

    static final boolean WSSE_VERBOSE

  Deprecated.

Method Detail

### addSignature

    weblogic.xml.security.signature.Signature addSignature(Token token,
                                                           SignatureSpec spec)
                                                           throws SecurityProcessingException

  Deprecated.
  Adds a XML Signature to the Security element. The signature will be signed by the token provided and will follow the SignatureSpec for processing.

  Parameters:
    `token` -
    `spec` -
  Returns:
  Throws:
    `SecurityProcessingException`

### addEncryption

    weblogic.xml.security.encryption.EncryptedKey addEncryption(Token token,
                                                                EncryptionSpec spec)
                                                                throws SecurityProcessingException

  Deprecated.
  Adds an encrypted key to the security token. Items matching the EncryptionSpec will be encrypted with the key. The key will be encrypted for the entity designated by the Token

  Parameters:
    `token` -
    `spec` -
  Returns:
  Throws:
    `SecurityProcessingException`

### addEncryption

    weblogic.xml.security.encryption.EncryptedKey addEncryption(X509Certificate cert,
                                                                EncryptionSpec spec)
                                                                throws SecurityProcessingException

  Deprecated.
  Adds an encrypted key to the security token. Items matching the EncryptionSpec will be encrypted with the key. The key will be encrypted with the public key in the certificate.

  Parameters:
    `cert` -
    `spec` -
  Returns:
  Throws:
    `SecurityProcessingException`

### addToken

    Token addToken(Token token)

  Deprecated.
  Adds a token to the Security element.

  Parameters:
    `token` -
  Returns:

### addToken

    Token addToken(X509Certificate cert,
                   PrivateKey key)

  Deprecated.
  Adds an X509certificate as a token in the Security element. The returned token can be used to sign/encrypt.

  Parameters:
    `cert` -
    `key` -
  Returns:

### addToken

    Token addToken(UserInfo user)

  Deprecated.
  Adds a token for the username/password in the UserInfo. By default, this token will include the password as clear text.

  Parameters:
    `user` -
  Returns:

### getTokenById

    Token getTokenById(String id)

  Deprecated.
  retrieves the token with the specified ID from the Security element.

  Parameters:
    `id` -
  Returns:

### getRole

    String getRole()

  Deprecated.
  Returns the role for which this security element was targetted.

  Returns:

### addTimestamp

    weblogic.xml.security.wsu.Timestamp addTimestamp()

  Deprecated.
  adds a timestamp to the security element, with the created time as the current time and no expiry

  Returns:

### addTimestamp

    weblogic.xml.security.wsu.Timestamp addTimestamp(long expires)

  Deprecated.
  adds a timestamp to the security element, with the created time as the current time and an expiration 'expires' milliseconds in the future

  Parameters:
    `expires` -
  Returns:

### addTimestamp

    weblogic.xml.security.wsu.Timestamp addTimestamp(Calendar created)

  Deprecated.
  adds a timestamp to the security element, using the provided time as the created time.

  Parameters:
    `created` -
  Returns:

### addTimestamp

    weblogic.xml.security.wsu.Timestamp addTimestamp(Calendar created,
                                                     Calendar expires)

  Deprecated.
  add a timestamp to the security element, using times provided as args.

  Parameters:
    `created` -
    `expires` -
  Returns:

### expired

    boolean expired()

  Deprecated.
  returns true if any timestamp in the message has an Expires element whose time is in the past.

  Returns:

### expired

    boolean expired(long maxAge)

  Deprecated.
  returns trus if any timestamp in the message has a Created time older than the maxAge or an Expires element that has passed.

  Parameters:
    `maxAge` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD